- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
qi::Manageable Class Reference

`#include <manageable.hpp>`

## Public Types
using | MethodMap = std::map< unsigned int, std::pair< AnyFunction, MetaCallType >>
using | SignalGetter = boost::function< SignalBase *(void *)>
using | SignalMap = std::map< unsigned int, SignalGetter >

## Public Member Functions
virtual | ~Manageable ()
boost::mutex & | initMutex ()
void | forceExecutionContext (boost::shared_ptr< ExecutionContext > eventLoop)
| Override all ThreadingModel and force dispatch to given event loop. More...
boost::shared_ptr < ExecutionContext > | executionContext () const
int | _nextTraceId ()

## Static Public Member Functions
static MethodMap & | manageableMmethodMap ()
static SignalMap & | manageableSignalMap ()
static MetaObject & | manageableMetaObject ()
static void | _build ()

## Static Public Attributes
static const uint32_t | startId = 80
| Starting id of features handled by Manageable. More...
static const uint32_t | endId = 99
| Stop id of features handled by Manageable. More...

## Protected Member Functions
| Manageable ()
| Manageable (const Manageable &b)
Manageable & | operator= (const Manageable &b)
Signal< EventTrace > | traceObject
| Emitted each time a call starts and finishes, and for each signal trigger. More...
bool | isStatsEnabled () const
void | enableStats (bool enable)
| Set statistics gathering status. More...
void | pushStats (int slotId, float wallTime, float userTime, float systemTime)
| Push statistics information about `slotId`. More...
ObjectStatistics | stats () const
void | clearStats ()
| Reset all statistical data. More...
bool | isTraceEnabled () const
void | enableTrace (bool enable)

## Detailed Description

Per-instance context.

Definition at line 123 of file manageable.hpp.

## Member Typedef Documentation

using qi::Manageable::MethodMap = std::map<unsigned int, std::pair<AnyFunction, MetaCallType>>

Definition at line 176 of file manageable.hpp.

using qi::Manageable::SignalGetter = boost::function<SignalBase* (void*)>

Definition at line 177 of file manageable.hpp.

using qi::Manageable::SignalMap = std::map<unsigned int, SignalGetter>

Definition at line 178 of file manageable.hpp.

## Constructor & Destructor Documentation

qi::Manageable::Manageable | ( |  | ) |
| protected

qi::Manageable::Manageable | ( | const Manageable & | b | ) |
| protected

virtual qi::Manageable::~Manageable | ( |  | ) |
| virtual

## Member Function Documentation

static void qi::Manageable::_build | ( |  | ) |
| static

int qi::Manageable::_nextTraceId | ( |  | ) |

void qi::Manageable::clearStats | ( |  | ) |

Reset all statistical data.

void qi::Manageable::enableStats | ( | bool | enable | ) |

Set statistics gathering status.

void qi::Manageable::enableTrace | ( | bool | enable | ) |

Set trace mode state.

Warning
  This function should usually not be called directly. Connecting/disconnecting to the traceObject signal automatically enables/disables tracing mode.

When enabled, all calls and signal triggers will be reported through the "traceObject" signal.

boost::shared_ptr<ExecutionContext> qi::Manageable::executionContext | ( |  | ) | const

Returns
  forced event loop or 0 if not set

void qi::Manageable::forceExecutionContext | ( | boost::shared_ptr< ExecutionContext > | eventLoop | ) |

Override all ThreadingModel and force dispatch to given event loop.

boost::mutex& qi::Manageable::initMutex | ( |  | ) |

bool qi::Manageable::isStatsEnabled | ( |  | ) | const

Statistics gathering/retreiving API

Returns
  if statistics gatehering is enabled

bool qi::Manageable::isTraceEnabled | ( |  | ) | const

Returns
  if trace mode is enabled

static MetaObject& qi::Manageable::manageableMetaObject | ( |  | ) |
| static

static MethodMap& qi::Manageable::manageableMmethodMap | ( |  | ) |
| static

static SignalMap& qi::Manageable::manageableSignalMap | ( |  | ) |
| static

Manageable& qi::Manageable::operator= | ( | const Manageable & | b | ) |
| protected

void qi::Manageable::pushStats | ( | int | slotId,
|  | float | wallTime,
|  | float | userTime,
|  | float | systemTime
| ) |  |

Push statistics information about `slotId`.

ObjectStatistics qi::Manageable::stats | ( |  | ) | const

## Member Data Documentation

const uint32_t qi::Manageable::endId = 99
| static

Stop id of features handled by Manageable.

Definition at line 175 of file manageable.hpp.

const uint32_t qi::Manageable::startId = 80
| static

Starting id of features handled by Manageable.

Definition at line 173 of file manageable.hpp.

Signal<EventTrace> qi::Manageable::traceObject

Emitted each time a call starts and finishes, and for each signal trigger.

Definition at line 155 of file manageable.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/detail/manageable.hpp